Subject: [Fwd: __attribute__ ((packed)) and enums not working]
From: Bruce Edge <[email-masked]>
To: cygwin support <[email-masked]>
Date: Tue, 28 Nov 2000 13:33:56 -0800

Earnie Boyd wrote:
> 
> --- Bruce Edge <[email-masked]> wrote:
> > The packed attribute mechanism seems to work for structs, but not enums:
> >
> > struct x {   char c;     int i;  } __attribute__ ((packed));
> > enum p { red, green, yellow } __attribute__ ((packed));
> >
> > pcl_op.h:144: semicolon missing after declaration of `p'
> >
> > Has anyone used this successfully?
> >
> 
> I don't have a problem with this.  Perhaps your pcl_op.h file has \r\n line
> endings and you have binary mounts.

It _is_ a DOS file, but if that were the case I think I would be seeing many
other errors.

I did get it working, but I had to use the gcc option -fshort_enums, rather
than the explicit type attribute modifier.

Is there a gcc bug in handling the __attribute__((packed)) when used in
conjunction with an enum declaration?

-Bruce.

--
Want to unsubscribe from this list?
Send a message to [email-masked]